// Main header script

// Start cutscene
import function StartCS();

// End cutscene
import function EndCS();

// Turn off inventory and hamburger GUIs
import function HideInventoryGUI();

// Turn on inventory and hamburger GUIs
import function UnHideInventoryGUI();

// Inventory
import function show_restore_game_dialog();
import function show_save_game_dialog();

// Poor man's display
import function PrepareDisplay();
#define DISP PrepareDisplay(); cDis.Say

// InputBox with usable font size
import String PGB_InputBox(const string prompt);
// Popups
import function OkayPopup(String text);
import bool YesNoPopup(String text); // "Yes" --> true
import int YesNoCancelPopup(String text); // "Yes" --> 1; "No" --> 0; "Cancel" --> -1;

enum tyRoomNumber
{
    kRm_None = 0,
    kRm_Title = 304, 
    kRm_Instructions = 305, 
    kRm_ResidentialQAlley = 301, 
    kRm_FrontOfIansFlat = 1, 
    kRm_FrontOfFlatCutout = 302, 
    kRm_Flat = 2, 
    kRm_Slumber = 308, 
    kRm_Suddenly = 309, 
    kRm_MasterMind = 3, 
    kRm_Congrats = 300, 
    kRm_TheEndMaybe = 307, 
    kRm_Credits = 306,
    kRm_PlayedThinkerYet = 303, 
    
    kRm_Title2 = 311, 
    kRm_WhatHappened1 = 312, 
    kRm_WhatHappened2 = 313, 
    kRm_WhatHappened3 = 314, 
    kRm_WhatHappened4 = 315, 
    kRm_WhatHappened5 = 316,
    kRm_Instructions2 = 317, 
    kRm_ShaftCutout = 310, 
    kRm_RecreationDeck = 4, 
    kRm_StaffDoorLock = 5,
    kRm_InfoScreen = 318, 
    kRm_OutsideTomato = 6, 
    kRm_SwitchBox = 7, 
    kRm_Cabinet = 8, 
};

enum tyCutsceneState
{
    kCs_None = 0, 
    kCs_GoToBed, 
    kCs_Slumber, 
    kCs_WokenByAlarm, 
    kCs_MasterMindFailed, 
    kCs_MasterMindWon, 
    kCs_OutOfVentShaft, 
    kCs_WatchingEntrance, 
};
import tyCutsceneState CutsceneState;


// Names for sprites
enum tyGraphic
{
	kGr_BlueCup = 0,
};

// Global data for room
struct tyCreditsData
{
	tyRoomNumber ReturnTo;
};
import tyCreditsData CreditsData;


enum tyRD_WateringBotState
{
    kRDWBS_None = 0, 
    kRDWBS_FocusedOnConifer = 1, 
    kRDWBS_LockedAtConifer = 2, 
    kRDWBS_FocusedOnPalm = 4, 
    kRDWBS_LockedAtPalm = 8, 
    kREWBS_PermanentlyAtPalm = 16, 
};

struct tyRecDeckData
{
    bool DoorLockInitialized;
    bool DoorLockHintKnown;
};
import tyRecDeckData RecDeckData;

struct tyOutsideTomatoData
{
    bool SwitchBoxUnlocked;
    bool CabinetUnlocked;
};
import tyOutsideTomatoData OutsideTomatoData;


// INSERT INTO TOP OF GlobalScript.asc
// 	tyR1Data R1Data;
// 	export R1Data;

/* PROTOTYPE FOR Room 
#region // Room R1

// Global data for room
struct tyR1Data
{
	int EXAMPLE;
};

import tyR1Data R1Data;

// INSERT INTO TOP OF GlobalScript.asc
// 	tyR1Data R1Data;
// 	export R1Data;
 

#endregion
*/